Package org.eclipse.emf.cdo.lm.client

# Class LMImporter.ImportElement.ImportText

java.lang.Object
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement.ImportLeaf<Reader>
org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement.ImportText

All Implemented Interfaces:
  `Consumer<Consumer<LMImporter.ImportElement>>`

Enclosing class:
  `LMImporter.ImportElement`

public static final class LMImporter.ImportElement.ImportText extends LMImporter.ImportElement.ImportLeaf<Reader>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement

`LMImporter.ImportElement.ImportBinary, LMImporter.ImportElement.ImportFolder, LMImporter.ImportElement.ImportLeaf<CONTENTS>, LMImporter.ImportElement.ImportResource, LMImporter.ImportElement.ImportText, LMImporter.ImportElement.StringContentsModifier, LMImporter.ImportElement.Type`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncoding()`
`LMImporter.ImportElement.Type`
`getType()`
`LMImporter.ImportElement.ImportText`
`setContentsModifier(UnaryOperator<Reader> contentsModifier)`
`LMImporter.ImportElement.ImportText`
`setCopyPath(String copyPath)`
`LMImporter.ImportElement.ImportText`
`setStringContentsModifier(UnaryOperator<String> stringModifier)`

### Methods inherited from class org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement.ImportLeaf

`getContentsModifier, getCopyPath, isFolder`

### Methods inherited from class org.eclipse.emf.cdo.lm.client.LMImporter.ImportElement

`accept, getModule, getName, getParent, getPath, getSegments, getURI, isLeaf, isRoot, requireValidName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.function.Consumer

`andThen`

## Method Details

### getType

public LMImporter.ImportElement.Type getType()

Specified by:
  `getType` in class `LMImporter.ImportElement`

### getEncoding

public String getEncoding()

### setContentsModifier

public LMImporter.ImportElement.ImportText setContentsModifier(UnaryOperator<Reader> contentsModifier)

Overrides:
  `setContentsModifier` in class `LMImporter.ImportElement.ImportLeaf<Reader>`

### setStringContentsModifier

public LMImporter.ImportElement.ImportText setStringContentsModifier(UnaryOperator<String> stringModifier)

### setCopyPath

public LMImporter.ImportElement.ImportText setCopyPath(String copyPath)

Overrides:
  `setCopyPath` in class `LMImporter.ImportElement.ImportLeaf<Reader>`